﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;

namespace WG_TooltipInfo
{
    class CustomCreationFilter :IUIElementCreationFilter
    {

        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is CellUIElement && parent.ToolTipItem != null)
            {
                parent.ToolTipItem = null;
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
